buffer.h File Reference
SPA » Buffers

`spa/buffer/buffer.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_chunk
| Chunk of memory, can change for each buffer. More...
struct | spa_data
| Data for a buffer this stays constant for a buffer. More...
struct | spa_buffer
| A Buffer. More...

## Macros

#define | SPA_CHUNK_FLAG_NONE 0
#define | SPA_CHUNK_FLAG_CORRUPTED (1u<<0)
| chunk data is corrupted in some way More...
#define | SPA_DATA_FLAG_NONE 0
#define | SPA_DATA_FLAG_READABLE (1u<<0)
| data is readable More...
#define | SPA_DATA_FLAG_WRITABLE (1u<<1)
| data is writable More...
#define | SPA_DATA_FLAG_DYNAMIC (1u<<2)
| data pointer can be changed More...
#define | SPA_DATA_FLAG_READWRITE (SPA_DATA_FLAG_READABLE|SPA_DATA_FLAG_WRITABLE)

## Enumerations

enum | spa_data_type { SPA_DATA_Invalid , SPA_DATA_MemPtr , SPA_DATA_MemFd , SPA_DATA_DmaBuf , SPA_DATA_MemId , _SPA_DATA_LAST }

## Functions

static struct spa_meta * | spa_buffer_find_meta (const struct spa_buffer *b, uint32_t type)
| Find metadata in a buffer. More...
static void * | spa_buffer_find_meta_data (const struct spa_buffer *b, uint32_t type, size_t size)

## Detailed Description

`spa/buffer/buffer.h`